Skip to main content

PATCH /tracking/link/custom/{id}

PATCH 

tracking/link/custom/:id

Update an existing custom redirect link

Path Parameters

id string Required
Tracking link redirect ID

Request Body

title string
Title of the redirect link

profile_id string
Profile ID to associate with this tracking link. Pass null to remove profile_id

redirection_url string
The URL to redirect to

params_suffix string
Query parameters as URL encoded string. Pass null to remove all params_suffix

Returns

  • dataobject
    • idstring
      Tracking link redirect ID
    • user_idstring
      User ID
    • profile_idstring
      Profile ID
    • titlestring
      Title of the redirect link
    • redirection_urlstring
      The cleaned redirection URL without query parameters
    • params_suffixstring
      Query parameters as URL encoded string
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

500 Internal Server Error

Internal server error